<?php

namespace App\Form\Type;

use App\Entity\Calculator;
use Symfony\Component\Form\Extension\Core\Type\HiddenType;
use Symfony\Component\Form\Extension\Core\Type\IntegerType;
use Symfony\Component\Form\Extension\Core\Type\ChoiceType;
use Symfony\Component\OptionsResolver\OptionsResolver;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\SubmitType;
use Symfony\Component\Form\Extension\Core\Type\TextType;
use Symfony\Component\Form\FormBuilderInterface;

class CalculatorType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options): void
    {
        $builder
            ->add('propertyType', ChoiceType::class, [
                'choices' => [
                    'Dům' => 'house',
                    'Byt' => 'flat',
                ],
                'expanded' => true,
                'multiple' => false,
                'label' => false,
            ])
            ->add('sellRent', ChoiceType::class, [
                'choices' => [
                    'Prodej' => 'sale',
                    'Pronájem' => 'lease',
                ],
                'expanded' => true,
                'multiple' => false,
                'label' => false,
            ])
            ->add('propertyAddress', TextType::class)
            ->add('floorArea', IntegerType::class)
            ->add('landArea', IntegerType::class)
            ->add('propertyCondition', ChoiceType::class, [
                'placeholder' => 'Vyberte stav nemovitosti',
                'choices' => [
                    'Neobývatelný' => 'bad',
                    'Před rekonstrukcí' => 'nothing_much',
                    'Průměrný' => 'good',
                    'Velmi dobrý' => 'very_good',
                    'Novostavba' => 'new',
                    'Luxusní' => 'excellent',
                ]
            ])
            ->add('parkingSpaces', IntegerType::class)
            ->add('otherDimensions', IntegerType::class)
            ->add('coordinates', HiddenType::class)
            ->add('save', SubmitType::class, [
                'label' => "Zobrazit cenu",
            ]);
    }

    public function configureOptions(OptionsResolver $resolver): void
    {
        $resolver->setDefaults([
            'data_class' => Calculator::class,
        ]);
    }
}