<?php


namespace App\Model;


use App\Entity\Contact;
use Symfony\Component\Mailer\MailerInterface;
use Symfony\Component\Mime\Address;
use Symfony\Component\Mime\Email;
use Twig\Environment;

class MailService
{
    public function __construct(
        private string $mailSenderEmail,
        private string $mailSenderName,
        private Environment $twig,
        private MailerInterface $mailer,
    )
    {
    }

    public function sendMail(Contact $contact)
    {
        $htmlBody = $this->twig->render('mail/contact.html.twig', [
            'name' => $contact->getName(),
            'email' => $contact->getEmail(),
            'phone' => $contact->getPhone(),
            'message' => $contact->getMessage(),
        ]);

        $email = (new Email())
            ->from(new Address($this->mailSenderEmail, $this->mailSenderName))
            ->to('paul@pesel.cz')
            ->subject('Kalkulátor nemovitostí - Kontaktní formulář')
            ->html($htmlBody);
        $this->mailer->send($email);
    }
}